<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

    <script>
        /* 
                                    Faça um algoritmo que retorne se o numero passado é primo ou não
                                */
        function isPrime(number) {
            if (number <= 1) return false;

            if (number === 2) return true;

            for (let i = 2; i <= Math.sqrt(number); i++) {
                if (number % i === 0) return false;
            }
            return true;
        }

        // Resultados esperados
        console.log(isPrime(2)) // true
        console.log(isPrime(3)) // true
        console.log(isPrime(4)) // false
        console.log(isPrime(5)) // true
        console.log(isPrime(6)) // false
        console.log(isPrime(7)) // true
        console.log(isPrime(8)) // false
        console.log(isPrime(25)) // false
        console.log(isPrime(31)) // true
        console.log(isPrime(2017)) // true
        console.log(isPrime(2048)) // false
        console.log(isPrime(1)) // false
    </script>
</body>

</html>